Monday, January 4, 2010

Messing around with Java & Eclipse

I already had Java installed from Apple site I have latest version of Mac OS X 10.5 Leopard(10.5.8) with recent Java updates installed on a core 2 duo Mac.
Need to run Java 6 EE with Eclipse EE version.

Useful info:
  1. Make Java 1.6 the default Java execution environment: Run Java (in Finder -> Applications -> Utilities). I changed the Java versions to default to using Java 1.6 by drag Java SE 6 to the top of the application and applet lists.
  2. Which java version am I running?:  In a terminal window use: /usr/libexec/java_home
  3. When creating a Java project, Eclipse prompts for the desired JRE version in the new project dialog box. To ensure that Eclipse tracks the language differences between versions, also select the desired version in Preferences->Java->Compiler->Compiler compliance level to match your project.
  4. Use the 64-bit Cocoa version of Eclipse 3.5.1.
Thanks to
OTOH, see